Bug 5905 - Biblibre, Partial fine payments
Summary: Biblibre, Partial fine payments
Status: CLOSED MOVED
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: 3.4
Hardware: All All
: PATCH-Sent (DO NOT USE) enhancement (vote)
Assignee: stephane.delaune
QA Contact: Bugs List
URL:
Keywords:
Depends on: 7671 7672
Blocks: 5575
  Show dependency treegraph
 
Reported: 2011-03-20 22:08 UTC by Chris Cormack
Modified: 2017-01-31 12:13 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Proposed patch (61.96 KB, patch)
2011-03-20 22:26 UTC, Chris Cormack
Details | Diff | Splinter Review
Follow up patch (2.40 KB, patch)
2011-03-20 22:27 UTC, Chris Cormack
Details | Diff | Splinter Review
broken css (36.29 KB, image/png)
2011-03-23 01:57 UTC, Nicole C. Engard
Details
correct css (35.88 KB, image/png)
2011-03-23 01:57 UTC, Nicole C. Engard
Details
n degree? (7.50 KB, image/png)
2011-03-23 01:59 UTC, Nicole C. Engard
Details
Completed and rebased patch (53.44 KB, patch)
2011-03-30 09:08 UTC, Julian Maurice
Details | Diff | Splinter Review
Follow up patch (2.30 KB, patch)
2011-03-30 09:11 UTC, Julian Maurice
Details | Diff | Splinter Review
Follow up patch (2.06 KB, patch)
2011-03-30 09:12 UTC, Julian Maurice
Details | Diff | Splinter Review
Rebased patch (53.25 KB, patch)
2011-04-07 09:01 UTC, Julian Maurice
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Cormack 2011-03-20 22:08:40 UTC

    
Comment 1 Chris Cormack 2011-03-20 22:26:17 UTC
We appear to be missing the db changes to make these patches work .. Paul do you know where they are?
Comment 2 Chris Cormack 2011-03-20 22:26:50 UTC Comment hidden (obsolete)
Comment 3 Chris Cormack 2011-03-20 22:27:29 UTC Comment hidden (obsolete)
Comment 4 Nicole C. Engard 2011-03-23 01:57:13 UTC
Created attachment 3409 [details]
broken css

The css for buttons doesn't work in FF4 on Mac OSX
Comment 5 Nicole C. Engard 2011-03-23 01:57:54 UTC
Created attachment 3410 [details]
correct css

The CSS works on other tabs in the fines area, but not that first one.
Comment 6 Nicole C. Engard 2011-03-23 01:58:40 UTC
When I add a fine through a manual invoice I get the following:

Software error:

Can't use an undefined value as a HASH reference at /home/nengard/kohaclone/C4/Accounts.pm line 382.

For help, please send mail to the webmaster (webmaster@debian), giving this error message and the time and date of the error.
Comment 7 Nicole C. Engard 2011-03-23 01:59:45 UTC
Created attachment 3411 [details]
n degree?

What is this column for? n degree doesn't mean anything that I know of in the US.
Comment 8 Nicole C. Engard 2011-03-23 02:01:05 UTC
All the above tests were before applying the follow up - after the follow up I get the following on the fines page:



Software error:

syntax error at /home/nengard/kohaclone/C4/Accounts.pm line 200, near ")

    # FIXME - The second argument to &UpdateStats is supposed to be the
    # branch code.
    # UpdateStats is now being passed $accountno too. MTJ
    UpdateStats"
Compilation failed in require at /home/nengard/kohaclone/C4/Reserves.pm line 31.
BEGIN failed--compilation aborted at /home/nengard/kohaclone/C4/Reserves.pm line 31.
Compilation failed in require at /home/nengard/kohaclone/C4/Circulation.pm line 26.
BEGIN failed--compilation aborted at /home/nengard/kohaclone/C4/Circulation.pm line 26.
Compilation failed in require at /home/nengard/kohaclone/C4/Overdues.pm line 26.
BEGIN failed--compilation aborted at /home/nengard/kohaclone/C4/Overdues.pm line 26.
Compilation failed in require at /home/nengard/kohaclone/C4/Members.pm line 29.
BEGIN failed--compilation aborted at /home/nengard/kohaclone/C4/Members.pm line 29.
Compilation failed in require at /home/nengard/kohaclone/C4/Auth.pm line 30.
BEGIN failed--compilation aborted at /home/nengard/kohaclone/C4/Auth.pm line 30.
Compilation failed in require at /home/nengard/kohaclone/members/boraccount.pl line 26.
BEGIN failed--compilation aborted at /home/nengard/kohaclone/members/boraccount.pl line 26.

For help, please send mail to the webmaster (webmaster@debian), giving this error message and the time and date of the error.
Comment 9 Julian Maurice 2011-03-30 09:08:23 UTC Comment hidden (obsolete)
Comment 10 Julian Maurice 2011-03-30 09:11:12 UTC
Created attachment 3519 [details] [review]
Follow up patch

Follow up fixing sql to use placeholders.
Adding a missing ';' from previous follow up patch.
Comment 11 Julian Maurice 2011-03-30 09:12:28 UTC
Created attachment 3520 [details] [review]
Follow up patch

Change 'nĀ°' to 'no.' which is the correct abbreviation for number.
Comment 12 Julian Maurice 2011-03-30 09:15:13 UTC
Depends on bug 5728 for `note` and `manager_id` fields in accountlines table.
Comment 13 Julian Maurice 2011-04-07 09:01:21 UTC
Created attachment 3773 [details] [review]
Rebased patch

Previous rebased patch does not apply.
Rebased again.
Comment 14 Julian Maurice 2011-05-02 13:56:34 UTC
Patches must be applied in this order :
attachment 3773 [details] [review]
attachment 3519 [details] [review]
attachment 3520 [details] [review]
Comment 15 Nicole C. Engard 2011-05-13 19:47:24 UTC
I tried to apply the first patch (in the order you listed) and got this:

--------------------------
Apply? [y]es/[n]o/[e]dit/[v]iew patch/[a]ccept all y
Applying: Bug 5905: lot of updates for borrower's fines
fatal: sha1 information is lacking or useless (installer/data/mysql/kohastructure.sql).
Repository lacks necessary blobs to fall back on 3-way merge.
Cannot fall back to three-way merge.
Patch failed at 0001 Bug 5905: lot of updates for borrower's fines
When you have resolved this problem run "git am --resolved".
If you would prefer to skip this patch, instead run "git am --skip".
To restore the original branch and stop patching run "git am --abort".
nengard@debian:~/kohaclone$ 

I obviously did not try the others after it.